package com.usky.dxtop.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.Staff;
import com.usky.dxtop.service.vo.ChargeAndDishVO;
import com.usky.dxtop.service.vo.ChargeRequest;
import com.usky.dxtop.service.vo.StaffRequest;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2021-09-28
 */
public interface StaffService extends IService<Staff> {


    CommonPage<Staff> page(StaffRequest staffRequest);


    BigDecimal getBalance(String card);


    Staff one(String id,String phone,String card);

    void personSendMessage(Staff staff,Integer type);


    void faceSendMessage(Staff staff);


    List<Staff> selectStaffByPhoneList(List<String> phoneList);


    CommonPage<ChargeAndDishVO> collectByMonth(ChargeRequest chargeRequest);


    String exportChargeAndDish(ChargeRequest chargeRequest);



}
