package com.usky.dxtop.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

@Data
public class DishCollectExportVO {


    /**
     * 日期
     */
    @Excel(name = "日期", height = 6, width = 20)
    private String reportDate;

    /**
     * 报表类型
     */
    @Excel(name = "报表类型", height = 6, width = 20)
    private String collectType;
    /**
     * 总金额
     */
    @Excel(name = "总金额", height = 6, width = 20)
    private Double totalMoney;
    /**
     * 餐厅
     */
    @Excel(name = "餐厅", height = 6, width = 20)
    private Double canteen;
    /**
     * 6楼
     */
    @Excel(name = "6F", height = 6, width = 20)
    private Double sixFloor;
    /**
     * 1楼便利店
     */
    @Excel(name = "1F便利店", height = 6, width = 20)
    private Double oneCircle;
    /**
     * 咖啡店
     */
    @Excel(name = "1F咖啡店", height = 6, width = 20)
    private Double oneCoffee;

}
